diff --git a/src/backend/parser/parse_agg.c b/src/backend/parser/parse_agg.c
index c745fcdd2b..52d9a3d00e 100644
--- a/src/backend/parser/parse_agg.c
+++ b/src/backend/parser/parse_agg.c
@@ -1402,7 +1402,7 @@ check_ungrouped_columns_walker(Node *node,
 		if (context->sublevels_up == 0)
 			ereport(ERROR,
 					(errcode(ERRCODE_GROUPING_ERROR),
-					 errmsg("column \"%s.%s\" must appear in the GROUP BY clause or be used in an aggregate function",
+					 errmsg("column \"%s.%s\" must appear in the GROUP BY clause or be used in an aggregate or window function",
 							rte->eref->aliasname, attname),
 					 context->in_agg_direct_args ?
 					 errdetail("Direct arguments of an ordered-set aggregate must use only grouped columns.") : 0,
